<?php	
session_start();	
require_once("config.php");	
require_once("conn.php");
$array=explode("@",$_SESSION["goodsid"]);
$arraynum=explode("@",$_SESSION["goodsnum"]);
$totalprice=0;									//定义价格变量
$arrayinfo=array();								//创建数组
for($i=0;$i<count($array);$i++){
	if($array[$i]!=""){
		$sqlcart=mysql_query("select * from tb_commodity where tb_commodity_id='".$array[$i]."'",$conn);
		$infocart=mysql_fetch_array($sqlcart);	//读取数据库中数据
		array_push($infocart,$arraynum["$i"]);  //将购买数量的数据写入到数据库中返回的数组中    
    	array_push($arrayinfo,$infocart);       //将整理的数据压入到创建的新数组中
    	$totalprice+=$infocart["tb_commodity_price"]*$arraynum["$i"];		//计算总的价格
	}
}
if(count($arrayinfo)>0){						//判断数组是否为空
	$smarty->assign("isShow","T");
  	$smarty->assign("myrow",$arrayinfo);
  	$smarty->assign("totalprice",$totalprice);	//将商品总的价格的数据赋给模板变量totalprice
}else{
  	$smarty->assign("isShow","F");
}
$smarty->display("shopping_car.tpl");
?>
